import FormatMoney from '@/helpers/FormatTypes/FormatMoney';
import FormatTime from '@/helpers/FormatTypes/FormatTime';
import FormatSourceDictionary from '@/helpers/FormatTypes/FormatSourceDictionary';
import FormatCommandStatus from '@/helpers/FormatTypes/FormatCommandStatus';

class Format {
  public mappedTypes: any = {
    money: FormatMoney,
    datetime: FormatTime,
    dictionary: FormatSourceDictionary,
    status: FormatCommandStatus,
    default: {
      format: (type: string) => { throw new Error(`Invalid type ${type}`); },
    },
  };

  public apply(value: any, type: string, optionsToFormat: any = {}) {
    const classToCall = this.mappedTypes[type] || this.mappedTypes.default[type];
    return classToCall.format(value, optionsToFormat);
  }

  public applyAll(collection: Array<any>, key: string, type: string, options = {}) {
    return collection.map((item: any) => {
      item[key] = this.apply(item[key], type, options);
      return item;
    });
  }
}

export default new Format();
