import { FormatHandle } from '../interfaces/FormatHandle';

class FormatSourceDictionary implements FormatHandle {
  public format(value: string): string {
    const commandSourceDictionary: { [key: string]: string } = {
      DLV_SIT: 'Site/App (teknisa)',
      DLV_ADR: 'Android',
      DLV_IOS: 'Apple',
      DLV_CAL: 'Callcenter',
      DLV_INT: 'Site/Integracao',
      DLV_FOS: 'ForSale',
      DLV_FNC: 'ForSale',
      DLV_SAT: 'ForSale',
      DLV_IFO: 'iFood',
      DLV_DRT: 'Dart Digital',
      DLV_SPO: 'Spoon Rocket',
      DLV_ONY: 'Onyo',
      DLV_RAP: 'Rappi',
      DLV_UBR: 'Uber Eats',
      DLV_NMO: 'Neemo',
      DLV_4AL: '4All',
      DLV_ORD: 'Order API',
      DLV_DDI: 'Delivery Direto',
      BGR_TAA: 'TAA',
      TGO_TAA: 'TAA',
    };
    return commandSourceDictionary[value] || 'Outros';
  }
}

export default new FormatSourceDictionary();
